.section {
  padding-top: 1rem;
}

.floater {
  margin: 0 auto;
  width: 100%;
  max-width: $sizing-site-max-width;
  font-size: 1.2em;
}

.title {
  display: block;
  margin-top: 2rem;
  font-size: 2.2em;
  font-weight: bold;
  color: $color-font-1;
}

.meta {
  display: flex;
  flex-direction: row;
  font-size: 1.1em;
  color: $color-font-3;

  @media (max-width: $sizing-breakpoint-l) {
    flex-direction: column;
  }
}

.detail {
  flex: none;
  display: flex;
  flex-direction: row;
}

.date {
  flex: none;
  margin-right: 1rem;
}

.author {
  flex: none;
  margin-right: 1rem;
}

.tags {
  flex: 1;
  white-space: nowrap;
  overflow-x: scroll;

  @media (max-width: $sizing-breakpoint-l) {
    margin-top: 1rem;
    white-space: normal;
    overflow-x: auto;
  }
}

%tagPill {
  display: inline-block;
  margin: 0 0.25rem;
  padding: 0.25rem 0.5rem;
  font-size: 80%;
  border-radius: $sizing-border-radius-large;
  user-select: none;
  cursor: default;

  @media (max-width: $sizing-breakpoint-l) {
    margin: 0.25rem;
  }
}

.categoryTag {
  @extend %tagPill;
  background: $color-bg-4;
  color: $color-font-4;
}

.tag {
  @extend %tagPill;
  background: #ddd;
}

%featureImageWrapper {
  display: block !important;
  margin: 0 auto;
  margin-top: 3rem;
  margin-bottom: 3rem;
  border-radius: $sizing-border-radius;
  overflow: hidden;
}

.featureImageWrapperConstrained {
  @extend %featureImageWrapper;
  max-width: 50rem;
  max-height: 30rem;

  img,
  picture img {
    object-fit: contain !important;
  }
}

$featured-image-cover-height: 40rem;

.featureImageWrapperCover {
  @extend %featureImageWrapper;
  position: absolute !important;
  left: 0;
  right: 0;
  border-radius: 0;
  height: $featured-image-cover-height;

  @media (max-width: $sizing-breakpoint-xl) {
    height: $featured-image-cover-height / 1.5;
  }
}

.featuredImageCoverPusher {
  height: $featured-image-cover-height + 3rem;

  @media (max-width: $sizing-breakpoint-xl) {
    height: $featured-image-cover-height / 1.5 + 3rem;
  }
}

.featureImageWrapperFullWidth {
  @extend %featureImageWrapper;
  width: 100%;
  height: 30rem;
}

.body {
  @extend %markdownBody;
}

.logoMark {
  display: block;
  height: 5rem;
  filter: grayscale(100%);
  margin: 0 auto;
  margin-top: 5rem;
}
